[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.Clear

Clear the raw value of this data object

## Declaration

Source position: fpjson.pp line 153

`public procedure TJSONData.Clear; virtual; abstract;`

## Description

Clear is implemented by the descendents of TJSONData to clear the data. An array will be emptied, an object will remove all properties, numbers are set to zero, strings set to the empty string, etc.

## See also

Create |  | Create a new instance of TJSONData.